package br.mp.mprj.portal.portlet.caderno.conf;

import com.liferay.portal.kernel.portlet.DefaultConfigurationAction;
import com.liferay.portal.kernel.util.ParamUtil;


import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletConfig;
import javax.portlet.PortletPreferences;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

public class Configuration extends DefaultConfigurationAction {
	
	@Override
    public void processAction(PortletConfig portletConfig, ActionRequest actionRequest, ActionResponse actionResponse) throws Exception { 

        super.processAction(portletConfig, actionRequest, actionResponse);

        PortletPreferences prefs = actionRequest.getPreferences();
        
        String urlConfig = ParamUtil.getString(actionRequest, "urlConfig");        
        String urlOrgao = ParamUtil.getString(actionRequest, "urlOrgao");
        
        prefs.setValue("urlConfig", urlConfig);
        
      
        prefs.setValue("urlOrgao", urlOrgao);
        prefs.store();
    }

}